"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardNoAuthorizeFraudDetectionRequestDto = void 0;
const AbstractPaymentCreditRequestDto_1 = require("./AbstractPaymentCreditRequestDto");
const FraudDetectionV2RequestDto_1 = require("../FraudDetectionV2/FraudDetectionV2RequestDto");
const FraudDetectionV2ParametersDto_1 = require("../FraudDetectionV2/FraudDetectionV2ParametersDto");
const FraudDetectionV2RiskDto_1 = require("../FraudDetectionV2/FraudDetectionV2RiskDto");
class CardNoAuthorizeFraudDetectionRequestDto extends AbstractPaymentCreditRequestDto_1.AbstractPaymentCreditRequestDto {
    serviceType = "card";
    serviceCommand = "Authorize";
    _maskedLog;
    constructor() {
        super();
        this.cardNumber = "4111111111111111";
        this.cardExpire = "12/50";
        this.fraudDetectionV2Request = new FraudDetectionV2RequestDto_1.FraudDetectionV2RequestDto();
        this.fraudDetectionV2Request.fraudDetectionOnly = "true";
        this.fraudDetectionV2Request.risk = new FraudDetectionV2RiskDto_1.FraudDetectionV2RiskDto();
        this.fraudDetectionV2Request.risk.parameters = new FraudDetectionV2ParametersDto_1.FraudDetectionV2ParametersDto();
        this.fraudDetectionV2Request.risk.parameters.custVerification = "true";
    }
    orderId;
    amount;
    cardNumber;
    cardExpire;
    fraudDetectionV2Request;
    optionParams;
    get maskedLog() {
        return this._maskedLog;
    }
    set maskedLog(value) {
        this._maskedLog = value;
    }
}
exports.CardNoAuthorizeFraudDetectionRequestDto = CardNoAuthorizeFraudDetectionRequestDto;
//# sourceMappingURL=CardNoAuthorizeFraudDetectionRequestDto.js.map