import {AbstractPaymentCreditRequestDto} from "./AbstractPaymentCreditRequestDto";
import {OptionParam} from "../OptionParam";
import {IRequestDto} from "../../tgMdk/IRequestDto";


export class CardCancelRequestDto extends AbstractPaymentCreditRequestDto implements IRequestDto {
    readonly serviceType: string = "card";
    readonly serviceCommand: string = "Cancel";


    orderId: string;


    originalOrderId: string;


    amount: string;


    cardNumber: string;


    cardExpire: string;


    cardOptionType: string;


    cardCenter: string;


    acquirerCode: string;


    withNew: string;


    withDirect: string;


    cancelDay: string;


    itemCode: string;


    currencyUnit: string;


    salesDay: string;


    pin: string;


    paymentType: string;


    jis1SecondTrack: string;


    jis2Track: string;


    useOriginalOrder: string;


    jpo: string;


    firstPayment: string;


    bonusFirstPayment: string;


    withDirectOnFailure: string;


    mcAmount: string;


    posDataCode: string;


    terminalId: string;


    chipConditionCode: string;


    exSlipInfo: string;


    optionParams: OptionParam[];

    private _maskedLog: string;

    get maskedLog(): string {
        return this._maskedLog;
    }

    set maskedLog(value: string) {
        this._maskedLog = value;
    }

}
