import {AbstractPaymentCreditRequestDto} from "./AbstractPaymentCreditRequestDto";
import {FraudDetectionRequestDto} from "../FraudDetection/FraudDetectionRequestDto";
import {IRequestDto} from "../../tgMdk/IRequestDto";
import {FraudDetectionV2RequestDto} from "../FraudDetectionV2/FraudDetectionV2RequestDto";


export class CardReAuthorizeRequestDto extends AbstractPaymentCreditRequestDto implements IRequestDto {
    readonly serviceType: string = "card";
    readonly serviceCommand: string = "ReAuthorize";


    orderId: string;


    originalOrderId: string;


    amount: string;


    cardNumber: string;


    cardExpire: string;


    cardOptionType: string;


    cardCenter: string;


    acquirerCode: string;


    jpo: string;


    withCapture: string;


    salesDay: string;


    itemCode: string;


    dddMessageVersion: string;


    dddTransactionId: string;


    dddTransactionStatus: string;


    dddCavvAlgorithm: string;


    dddCavv: string;


    dddEci: string;


    dddDsTransactionId: string;


    dddServerTransactionId: string;


    securityCode: string;


    authFlag: string;


    birthday: string;


    tel: string;


    firstKanaName: string;


    lastKanaName: string;


    currencyUnit: string;

    pin: string;


    firstPayment: string;


    bonusFirstPayment: string;


    mcAmount: string;


    posDataCode: string;


    terminalId: string;


    fraudDetectionRequest: FraudDetectionRequestDto;


    fraudDetectionV2Request: FraudDetectionV2RequestDto;


    withFraudDetection: string;


    exSlipInfo: string;

    private _maskedLog: string;

    get maskedLog(): string {
        return this._maskedLog;
    }

    set maskedLog(value: string) {
        this._maskedLog = value;
    }

}
